routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

/* WEB */

Route::get('/', 'Web\WebController@index')->name('/');
Route::get('institucional', 'Web\WebController@institucional')->name('institucional');
Route::get('historia', 'Web\WebController@historia')->name('historia');
Route::get('mision', 'Web\WebController@mision')->name('mision');
Route::get('consejos', 'Web\WebController@consejos')->name('consejos');
Route::get('requisitos', 'Web\WebController@requisitos')->name('requisitos');
Route::get('contacto', 'Web\WebController@contacto')->name('contacto');
Route::get('comunicado', 'Web\WebController@comunicados')->name('comunicados');
Route::get('detallecomunicado/{id}', 'Web\WebController@detallecomunicado')->name('detallecomunicado');
Route::post('contactos', 'EmailController@store')->name('contacto-mensaje');
Route::get('evento', 'Web\WebController@eventos')->name('eventos');
Route::get('detalleevento/{id}', 'Web\WebController@detalleevento')->name('detalleevento');
Route::get('tramite', 'Web\WebController@tramites')->name('tramites');
Route::get('detalletramite/{id}', 'Web\WebController@detalletramites')->name('detalletramite');
/* SISTEMA */
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('sliders', 'Admin\SlidersController');
Route::resource('eventos', 'Admin\EventosController');
Route::resource('clientes', 'Admin\ClientesController');
Route::post('importarExcel', 'Admin\ClientesController@importarExcel')->name('importarExcel');
Route::resource('comunicados', 'Admin\ComunicadosController');
Route::resource('tramites', 'Admin\TramitesController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('excel', 'ExcelController');

Route::get('nombres', 'Web\WebController@buscador')->name('paginas');
Route::get('nombres/buscador', 'Web\WebController@buscador')->name('buscador');

app/DatesTranslate.php
<?php

namespace App;

use Jenssegers\Date\Date;

trait DatesTranslate
{
    public function getCreatedAtAttribute($date)
    {
        return new Date($date);
    }
    public function getUpdatedAtAttribute($date)
    {
        return new Date($date);
    }
}

app/Models/Sliders.php
<?php

namespace App\Models;

use App\DatesTranslate;
use App\Models\Sliders;
use Illuminate\Database\Eloquent\Model;

class Sliders extends Model
{
    use DatesTranslate;
    protected $table = "sliders";

    protected $fillable = [

        'img',

    ];
}

app/Http/Controllers/Admin/SlidersController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Sliders;
use DB;
use Illuminate\Http\Request;

class SlidersController extends Controller
{
    public function index()
    {
        //
        $sliders = Sliders::orderBy('id', 'desc')->get();
        return view('admin.pages.sliders.index')->with(compact('sliders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('admin.pages.sliders.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        try {
            DB::beginTransaction();

            $slider = new Sliders();

            //dd($sliders->titulo);
            if ($request->file('image')) {
                $file = $request->file('image');
                $name = 'slider_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/sliders/';
                $file->move($path, $name);
                $slider->img = $name;
            }

            //$slider->name = $request->name;

            $slider->save();
            DB::commit();
            return redirect()->route('sliders.index')->with('flash', 'El Slider se ha creado correctamente');
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $sliders = Sliders::findOrFail($id);
        return view('admin.pages.sliders.edit')->with(compact('sliders'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        try {
            DB::beginTransaction();
            $slider = Sliders::findOrFail($id);

            $pathToYourFile = public_path() . '/admin/images/sliders/' . $slider->img;

            if ($request->file('image')) {

                if (file_exists($pathToYourFile)) {
                    unlink($pathToYourFile);
                }

                $file = $request->file('image');
                $name = 'slider_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/sliders/';
                $file->move($path, $name);

                $slider->img = $name;
            }

            $slider->save();

            DB::commit();
            return redirect()->route('sliders.index')->with('flash', 'El Slider se ha actualizado correctamente');
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        try {
            DB::beginTransaction();
            $slider         = Sliders::findOrFail($id);
            $pathToYourFile = public_path() . '/admin/images/sliders/' . $slider->img;
            if (file_exists($pathToYourFile)) {
                unlink($pathToYourFile);
            }
            $slider->delete();
            DB::commit();
            return redirect()->back()->with('flash', 'El slider se ha eliminado correctamente');;
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }
    }
}

resources/views/admin/pages/sliders/create.blade.php
@extends('home')
@section('header-editar')
<script src="//cdn.ckeditor.com/4.11.4/full/ckeditor.js"></script>
@endsection
@section('styles')

    <link href="{{asset('admin/dataTables.bootstrap4.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('admin/responsive.bootstrap4.css')}}" rel="stylesheet" type="text/css">

@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Dashboard</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Dashboard</li>
                    <li class="breadcrumb-item active">Slider</li>
                </ul>
            </div>

        </div>
    </div>
@endsection
@section('content')
    <div class="row clearfix">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Subir Sliders</h2>
                </div>
                <hr>
                <div class="body">
                  <form   method="POST" action="{{route('sliders.store')}}" enctype="multipart/form-data" >
                  {{ csrf_field() }}
                    <div class="form-group">
                            <label for="image">Imagen<strong>(resolucion A x A)</strong></label>
                            <input type="file" name="image" class="form-control" value="{{ old('image') }}" required>
                    </div>
                            <button type="submit" class="btn btn-verde" >Subir</button>
                            <a href="{{ route('sliders.index') }}" class="btn btn-verde">Cancelar</button></a>
                  </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')

    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>
    <script >
        CKEDITOR.replace('content');
    </script>

@endsection

resources/views/admin/pages/sliders/edit.blade.php
@extends('home')
@section('styles')
    <link rel="stylesheet" href="{{ asset('admin/vendor/dropify/css/dropify.min.css')}}"/>
    <link rel="stylesheet" href="{{ asset('admin/vendor/summernote/dist/summernote.css')}}"/>
@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Dashboard</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Dashboard</li>
                    <li class="breadcrumb-item active">Slider</li>
                </ul>
            </div>

        </div>
    </div>

@endsection

@section('content')
 <div class="row clearfix">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Editar Sliders</h2>
                </div>
                <hr>
                <div class="body">
                    <form   action="{{route('sliders.update', $sliders->id)}}" method="POST" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        {{ method_field('PUT')}}

                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-12">
                                <label for="">Imagen : (resolucion 1920 x 700)</label>
                                <br>
                                    <img  src="{{ asset('admin/images/sliders/'.$sliders->img) }}" width="100">
                                    <br>
                                    <br>
                                    <input type="file" name="image" class="form-control">

                                </div>
                            </div>
                        </div>
                                <button type="submit" class="btn btn-verde" >Guardar</button>
                                <a href="{{ route('sliders.index') }}" class="btn btn-verde">Cancelar</button></a>


                    </form>
                    </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>
    <script src="{{asset('admin/vendor/summernote/dist/summernote.js')}}"></script>
@endsection

resources/views/admin/pages/sliders/index.blade.php
@extends('home')
@section('styles')

    <link href="{{asset('admin/dataTables.bootstrap4.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('admin/responsive.bootstrap4.css')}}" rel="stylesheet" type="text/css">

@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">Sliders</li>
                </ul>
            </div>

        </div>
    </div>
@endsection
@section('content')
<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                @include('alerts')
                <h2 style="width: 70%;float: left;">Listado de Sliders </h2>
                <a href="{{route('sliders.create')}}" class="btn btn-verde" style="float: right;">
                <span> Registrar</span></a>
            </div>
            <div class="body">
                <div class="table-responsive">
                    <table id="basic-datatable" class="table table-striped nowrap">
                        <thead>
                            <tr>
                                <th>N°</th>
                                <th>Fecha de Creacion</th>
                                <th>imagen</th>
                                <th>Opciones</th>

                            </tr>
                            <tbody>
                                @foreach ($sliders as $key => $slider)
                                    <tr>
                                        <td>{{ $key+1 }}</td>
                                        <td>{{ $slider->created_at->toFormattedDateString() }}</td>
                                        <td><img  src="{{ asset('admin/images/sliders/'.$slider->img) }}" width="100"></td>
                                        <td class="text-nowrap">

                                        <form method="POST"  action="{{route('sliders.destroy',$slider->id)}}" >
                                            <a href="{{route('sliders.edit',$slider->id)}}" class="btn btn-info" title="Editar"><i class="fa fa-edit"></i></a>&nbsp;
                                            {{ csrf_field() }}
                                            {{ method_field('DELETE') }}

                                                <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Estas seguro de eliminar el slider')"> <i class="fa fa-trash-o"></i></button>

                                             </form>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>

@endsection